// This is an example of an ES6 module.
export function buildSelectMenu(data){
  
  const sortedCounties = data.sort((a, b) => b.county_id - a.county_id);
  sortedCounties.map((d) => {
    const string = `<option value="${d.id}">${d.county_name}</option>`
    $('#select-county').append(string)
  });
  
  $('#select-county').change(function() {
    const selectedCounty = $(this).val();
    $('#chart .active').removeClass('active');
    $(`.${selectedCounty}`).addClass('active');
    $(`#chart .${selectedCounty}`).appendTo('.chartWrapper');
  });
  
}